package com.flossom.common.core.domain.req;

import com.flossom.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 微信用户备注列对象 wx_user_remark
 *
 * @author flossom
 * @date 2023-12-21
 */
public class WxUserRemarkReq {

    /**
     * 微信用户id列表
     */
    private List<Long> userIdList;

    /**
     * 备注内容
     */
    @NotBlank(message = "请输入备注")
    @Length(min = 0, max = 100, message = "备注内容不能为空")
    private String content;


    public WxUserRemarkReq() {
    }

    public WxUserRemarkReq(List<Long> userIdList, String content) {
        this.userIdList = userIdList;
        this.content = content;
    }

    public List<Long> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Long> userIdList) {
        this.userIdList = userIdList;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
